Subject: Falafel cooking advise needed

From: [email-masked] (Diane Davidowicz)
Date: Mon, 13 Mar 1995 17:41:28 GMT

I attempted for the first time to make homemade falafels and
I found it quite simple to prepare the batter. Unfortunately, 
I had some problems with cooking the burgers themselves. 

According to the recipe, I could avoid deep frying by using
3 tbls of olive oil instead. So I drizzeled some olive 
oil in the pan, heated the oil and dropped some batter into
the pan. Following the recipe's instructions I attempted
to turn the burgers after 10 minutes and they broke apart
or got scrunched together as I tried to slide the 
spachula under the burger. The burgers were no more than
2 inches in diameter and 1/4 of an inch thick.

Much to my dismay, the burgers were also somewhat burnt
despite the fact that the batter did not seem to cook.
The flame was not that high. It seems to me that maybe
the batter does really get harder as it cooks. Is that so?
Does anyone have any pointers for me as to how I can 
successfully cook the falafels without deep frying them
or is that my only option?

By the way, the recipe called for 4 cups of chick peas
and 1/3 cup of flour. All the vegetables and herbs that
I put in were well drained and it the correct proportions
that the recipe called for.

Thanks you.

Diane
[email-masked]